summaryrefslogtreecommitdiff
path: root/dev-scheme/guile-email/guile-email-0.2.2.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-scheme/guile-email/guile-email-0.2.2.ebuild')
-rw-r--r--dev-scheme/guile-email/guile-email-0.2.2.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-scheme/guile-email/guile-email-0.2.2.ebuild b/dev-scheme/guile-email/guile-email-0.2.2.ebuild
new file mode 100644
index 0000000..67a3827
--- /dev/null
+++ b/dev-scheme/guile-email/guile-email-0.2.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit unpacker
+
+DESCRIPTION="A collection of email utilities implemented in pure guile"
+HOMEPAGE="https://guile-email.systemreboot.net/"
+SRC_URI="https://guile-email.systemreboot.net/releases/guile-email-${PV}.tar.lz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-scheme/guile-2.0.11:=
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+
+ # guile is trying to avoid recompilation by checking if file
+ # /usr/lib64/guile/2.2/site-ccache/<foo>
+ # is newer than
+ # <foo>
+ # In case it is instead of using <foo> guile
+ # loads system one (from potentially older version of package).
+ # To work it around we bump last modification timestamp of
+ # '*.scm' files.
+ # http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
+ find "${S}" -name "*.scm" -exec touch {} + || die
+}
+
+src_test() {
+ emake check VERBOSE=1
+}